(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[      8948,        209]
NotebookOptionsPosition[      9396,        200]
NotebookOutlinePosition[      9874,        221]
CellTagsIndexPosition[      9831,        218]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
\:5186\:5468\:89d2\:306e\:5b9a\:7406 
\:30fb\:ff11\:3064\:306e\:5f27\:306b\:5bfe\:3059\:308b\:5186\:5468\:89d2\:306f\
\:3001\:305d\:306e\:5f27\:306b\:5bfe\:3059\:308b\:4e2d\:5fc3\:89d2\:306e\:534a\
\:5206\:306b\:7b49\:3057\:3044
\:30fb\:540c\:3058\:5f27\:306b\:5bfe\:3059\:308b\:5186\:5468\:89d2\:306f\:3059\
\:3079\:3066\:7b49\:3057\:3044\
\>", "Subsubsection",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`A$$ = 
    5.4569464392854705`, $CellContext`B$$ = 
    3.9071736505283967`, $CellContext`CC$$ = 1.77, $CellContext`d$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`d$$], 0, "\:89d2\:5ea6"}, {0, 1}}, {
      Hold[$CellContext`CC$$], 0.3, 6.583185307179586}, {
      Hold[$CellContext`A$$], Pi, 2 Pi}, {
      Hold[$CellContext`B$$], 0, 
      Dynamic[$CellContext`A$$]}}, Typeset`size$$ = {468., {230., 238.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`d$10853$$ = False, $CellContext`CC$10854$$ = 
    0, $CellContext`A$10855$$ = 0, $CellContext`B$10856$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`A$$ = Pi, $CellContext`B$$ = 
        0, $CellContext`CC$$ = 0.3, $CellContext`d$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`d$$, $CellContext`d$10853$$, False], 
        Hold[$CellContext`CC$$, $CellContext`CC$10854$$, 0], 
        Hold[$CellContext`A$$, $CellContext`A$10855$$, 0], 
        Hold[$CellContext`B$$, $CellContext`B$10856$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[{
          Thickness[0.009], {Pink, 
           Circle[{0, 0}, 3]}, {
           PointSize[Large], 
           Point[{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}], 
           Point[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}], 
           Point[{0, 0}], 
           Point[{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}]}, {
          Green, 
           
           Line[{{0, 0}, {
             3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}]}, {Green, 
           
           Line[{{0, 0}, {
             3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}]}, {Blue, 
           
           Line[{{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}, {
             3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}]}, {Blue, 
           
           Line[{{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}, {
             3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}]}, {Red, 
           Opacity[0.5], 
           
           BSplineCurve[{(-{
                 3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]})/(2 
              Norm[{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}]) + {
              3 Cos[$CellContext`CC$$], 3 
               Sin[$CellContext`CC$$]}, ((-{
                  3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                 3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}) + (-{
                  3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                 3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}))/(1.8 
              Norm[(-{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                  3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}) + (-{
                   3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                  3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]})]) + {
              3 Cos[$CellContext`CC$$], 3 
               Sin[$CellContext`CC$$]}, (-{
                 3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]})/(2 
              Norm[{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]) + {
              3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}}, 
            SplineDegree -> 4]}, 
          If[$CellContext`d$$ == 1, {Red, 
            Text[
             
             Style[(2 
               Round[180 (
                  ArcCos[Dot[{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]/(
                    Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                    Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}])]/Pi)])
                "\[Degree]", Large], {0, 0} + {0, 0.5}], Null, 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]/(
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}])]/Pi)] 
              "\[Degree]", Large], {
              3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} 1.3]}], 
          Text[
           Style["O", Large], {0, 0} + {0.5, -0.5}], 
          Text[
           Style[
           "A", Large], {3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} + {
            0.3, -0.4}], 
          Text[
           Style[
           "B", Large], {3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
            0.3, -0.4}], 
          Text[
           Style[
           "C", Large], {
            3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
            0.5, -0.5}], 
          If[
           
           Or[$CellContext`CC$$ < $CellContext`B$$, $CellContext`CC$$ > \
$CellContext`A$$], {Red, 
            Opacity[0.5], 
            Circle[{0, 0}, 0.5, {$CellContext`B$$, $CellContext`A$$}]}, {Red, 
            Opacity[0.5], 
            
            Circle[{0, 0}, 
             0.5, {$CellContext`B$$ + 2 Pi, $CellContext`A$$}]}]}], 
        PlotRange -> {{-5, 5}, {-5, 5}}, AspectRatio -> Automatic], 
      "Specifications" :> {{{$CellContext`d$$, 0, "\:89d2\:5ea6"}, {0, 
         1}}, {$CellContext`CC$$, 0.3, 6.583185307179586}, {$CellContext`A$$, 
         Pi, 2 Pi}, {$CellContext`B$$, 0, 
         Dynamic[$CellContext`A$$]}}, 
      "Options" :> {ControlPlacement -> Left, ImageSize -> Large}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{850., {268., 277.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, Open  ]]
},
WindowSize->{1341, 685},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification:>1.3 Inherited,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 408, 8, 141, "Subsubsection"],
Cell[1897, 45, 7483, 152, 566, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature ZvT2aTTI5BE8fA1t7zlrC4BA *)
